\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::Make_x_monotone_2 Class Reference

`#include <CGAL/Arr_polyline_traits_2.h>`

## Definition

Subdivide the given curve into x-monotone sub-curves and insert them into the given output iterator.

Since the segments that constitute a general polyline are not necessarily \(x\)-monotone, this functor may break them.

## Public Member Functions
template<typename OutputIterator >
OutputIterator | operator() (const Curve_2 &cv, OutputIterator oi) const

## Member Function Documentation

template<typename SegmentTraits_2 >
template<typename OutputIterator >

OutputIterator CGAL::Arr_polyline_traits_2< SegmentTraits_2 >::Make_x_monotone_2::operator() | ( | const Curve_2 & | cv,
|  | OutputIterator | oi
| ) |  | const

Precondition
  if `cv` is not empty then it must be continuous and well-oriented.

Parameters

  cv | The curve.
  oi | The output iterator, whose value-type is Object. The output object is a wrapper of a X_monotone_curve_2 objects.

Returns
  The past-the-end iterator.